## vym 2.9.31

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ViewYourMind-release)

find_package(Qt5 COMPONENTS Widgets LinguistTools REQUIRED)

set(QtComponents
    LinguistTools
    Network
    PrintSupport
    Script
    Svg
    Widgets
    Xml
)

set(QtLibraries
    Qt5::Network
    Qt5::PrintSupport
    Qt5::Script
    Qt5::Svg
    Qt5::Widgets
    Qt5::Xml
)

# Switch on Debug mode with one of below:
# cmake -DCMAKE_BUILD_TYPE=Debug .
# set(CMAKE_BUILD_TYPE Debug)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# On Linux DBUS is used for IPC with vym
# On openSUSE install it using:  zypper install dbus-1-devel

if (UNIX)
    find_package(DBus1)

    if(DBus1_FOUND)
        LIST(APPEND QtComponents DBus)
        LIST(APPEND QtLibraries Qt5::DBus)
    endif()
endif()

if(WIN32)
    set(OPENSSL_ROOT_DIR "C:/OpenSSL-Win64")
    find_package(OpenSSL)

    if( OPENSSL_FOUND )
        include_directories(${OPENSSL_INCLUDE_DIRS})
        link_directories(${OPENSSL_LIBRARIES})
        message(STATUS "Using OpenSSL version: ${OPENSSL_VERSION}")
    else()
        message(STATUS "No openSSL found?!")
        # Error; with REQUIRED, pkg_search_module() will throw an error by it's own
    endif()

    #target_link_libraries(${YOUR_TARGET_HERE} ${OPENSSL_LIBRARIES})
    #target_link_libraries(project_name /path/of/libssl.so /path/of/libcrypto.so)

    set(CMAKE_INSTALL_DATAROOTDIR ".")
 endif()

include(GNUInstallDirs)

find_package(Qt5 COMPONENTS ${QtComponents} REQUIRED)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
list(APPEND CMAKE_AUTOUIC_SEARCH_PATHS "${CMAKE_SOURCE_DIR}/forms")

get_target_property(QtLibraryType Qt5::Widgets TYPE)

if(QtLibraryType STREQUAL STATIC_LIBRARY)
    message(STATUS "Static Qt linkage")
    list(APPEND QtLibraries Qt5::QSvgPlugin)
endif()

include_directories(
    ${CMAKE_SOURCE_DIR}
)

# Source files
file(GLOB VymSources RELATIVE ${CMAKE_SOURCE_DIR} "src/*.cpp")

if(WIN32)
    list(APPEND VymSources
        src/mkdtemp.cpp
        vym.rc
    )
    ADD_COMPILE_DEFINITIONS(_USE_MATH_DEFINES)
endif()


# Add DBUS interfaces, if DBUS is available on platform
if(DBus1_FOUND)
    list(APPEND VymSources src/dbus/adaptormodel.cpp src/dbus/adaptorvym.cpp)
    include_directories(${CMAKE_SOURCE_DIR}/src/dbus ${CMAKE_SOURCE_DIR}/src)
    ADD_COMPILE_DEFINITIONS(VYM_DBUS)
endif()

# Translations  (release)

    # To update the translation files based on source code changes 
    # first call manually 
    # lupdate-qt5 src/ -ts lang/*.ts
    #
    # Qt6 will have a dedicated macro:
    # https://doc.qt.io/qt-6/qtlinguist-cmake-qt-add-lrelease.html

#file(GLOB ts_files ABSOLUTE ${CMAKE_BINARY_DIR} "lang/*.ts")
file(GLOB ts_files RELATIVE ${CMAKE_SOURCE_DIR} "lang/*.ts")
message(STATUS "Creating ${CMAKE_BINARY_DIR}/translations")
file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/translations")
set_source_files_properties(${ts_files} PROPERTIES OUTPUT_LOCATION ${CMAKE_BINARY_DIR}/translations)
#set_source_files_properties(${ts_files} PROPERTIES OUTPUT_LOCATION ${CMAKE_SOURCE_DIR}/translations)

#QT5_create_translation(qm_files ${CMAKE_SOURCE_DIR} ${ts_files})
#QT5_create_translation(qm_files ${CMAKE_BINARY_DIR} ${ts_files})
#QT5_create_translation(qm_files ${CMAKE_SOURCE_DIR}/src)

QT5_add_translation(qm_files ${ts_files})
add_compile_definitions(CMAKE_SOURCE_DIR)

message(STATUS "CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}")
message(STATUS "ts_files: ${ts_files}")
message(STATUS "qm_files: ${qm_files}")

ADD_COMPILE_DEFINITIONS(VYMBASEDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}")

add_executable(vym ${VymSources} vym.qrc ${qm_files})
target_link_libraries(vym ${QtLibraries})

if(WIN32)
    set_target_properties(vym PROPERTIES WIN32_EXECUTABLE TRUE)
    install(TARGETS vym DESTINATION "${CMAKE_INSTALL_PREFIX}")
else()
    install(TARGETS vym DESTINATION bin)
endif()

if(APPLE)
    message(STATUS "Detected APPLE")
    set_target_properties(vym PROPERTIES MACOSX_BUNDLE TRUE )

    # Add property to Info.plist
    set(MACOSX_BUNDLE_ICON_FILE vym.icns)

    # tell CMake where to find and install the file itself
    set(APP_ICON_MACOSX ${CMAKE_CURRENT_SOURCE_DIR}/icons/vym.icns)
    set_source_files_properties(${APP_ICON_MACOSX} PROPERTIES
           MACOSX_PACKAGE_LOCATION "Resources")

#FIXME-0    add_executable(vym MACOSX_BUNDLE main.cpp ${APP_ICON_MACOSX})
target_sources(vym PUBLIC ${APP_ICON_MACOSX})
endif()

add_custom_target(make-translations-directory ALL
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/translations)
add_dependencies(vym make-translations-directory)

install(DIRECTORY demos DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})
install(DIRECTORY doc DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.pdf")
install(FILES doc/vym.1.gz DESTINATION ${CMAKE_INSTALL_MANDIR})
install(FILES README.md LICENSE.txt DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(DIRECTORY exports flags icons macros ${CMAKE_BINARY_DIR}/translations scripts styles DESTINATION ${CMAKE_INSTALL_DATAROOTDIR})

if(UNIX)
    install(FILES icons/vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps)
    file(CREATE_LINK ../apps/vym.png application-x-vym.png SYMBOLIC)
    install(FILES ${CMAKE_BINARY_DIR}/application-x-vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/mimetypes)
    install(FILES config/vym.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/mime/packages)
    install(FILES config/vym.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
endif()

=== debian/changelog ===
vym (2.9.31-1) unstable; urgency=medium

  * New upstream release.
    Upstream commit da30b21109544ee0596ebf4d9738b5fed69b3cc4
  * Remove Pierre Chifflier as the maintainer. Thanks a lot
    for all the years of maintaining vym and other packages.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 09 Oct 2024 21:27:56 +0200

=== debian/control ===
Source: vym
Section: kde
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper-compat (=13),
    cmake,
    qtbase5-dev,
    qttools5-dev,
    qtscript5-dev,
    libdbus-1-dev,
    libqt5svg5-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.insilmaril.de/vym/
Vcs-Git: https://git.sven.stormbind.net/vym.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git

Package: vym
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
Suggests: ruby | ruby-interpreter
Description: mindmapping tool
 Vym is a mind mapping program. It is useful to organize thoughts and
 do structure work. In addition to that it has a lot of helpful
 shortcuts.
 .
 A mindmap is a multicolored and image centered radial diagram that
 represents semantic or other connections between portions of learned
 material.  For example, it can graphically illustrate the structure
 of a thesis outline, a project plan, or the government institutions
 in a state.  Mindmaps have many applications in personal, family,
 educational, and business situations.  Possibilities include
 note-taking, brainstorming, summarizing, revising and general
 clarifying of thoughts.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export QT_SELECT = 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_DATAROOTDIR="share/vym" \
		-DCMAKE_INSTALL_MANDIR="share/man/man1" \
		-DCMAKE_INSTALL_DOCDIR="share/doc/vym"

override_dh_auto_install:
	dh_auto_install --destdir=debian/vym/

# prevent compression of pdf documentation
override_dh_compress:
	dh_compress -X.pdf

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/insilmaril/vym/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## vym 2.9.577

=== debian/changelog ===
vym (2.9.577-1) experimental; urgency=medium

  * First beta of vym 3.
    Upstream commit c1aba7196372e5bc501360b9a237581a1703330f, branch develop.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 25 Jun 2025 20:12:09 +0200

vym (2.9.576-1) experimental; urgency=medium

  * Development snapshot of vym 3.
    Upstream commit 93726ef1c24883e3772b2dd240afab88752a8785, branch develop.
    The vym files generated now are incompatible with releases
    before 2.9.500.
  * Move  Build-Depends from Qt5 to Qt6.
  * Refresh all patches.
  * Update Standards-Version to 4.7.2 - no changes required.
  * Make sure to remove empty /usr/share/doc/vym/devel.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 15 Jun 2025 19:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper-compat (=13),
     cmake,
-    qtbase5-dev,
-    qttools5-dev,
-    qtscript5-dev,
-    libdbus-1-dev,
-    libqt5svg5-dev
-Standards-Version: 4.7.0
+    qt6-declarative-dev,
+    qt6-tools-dev,
+    qt6-svg-dev,
+    libdbus-1-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
 Vcs-Git: https://git.sven.stormbind.net/vym.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
-export QT_SELECT = 5
+export QT_SELECT = 6
 
 %:
 	dh $@
@@ -15,6 +15,8 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/vym/
+	# Remove empty directory
+	rmdir debian/vym/usr/share/doc/vym/devel
 
 # prevent compression of pdf documentation
 override_dh_compress:

## vym 2.9.582

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,41 @@
-cmake_minimum_required(VERSION 3.12)
+cmake_minimum_required(VERSION 3.16)
 
-project(ViewYourMind-release)
+project(ViewYourMind-develop LANGUAGES CXX)
 
-find_package(Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
+# See also https://doc.qt.io/qt-6.5/cmake-get-started.html
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+if (CMAKE_SYSTEM_NAME STREQUAL Linux)
+    message(STATUS "using UNIX in cmake")	# FIXME-0 still required?
+endif()
 
 set(QtComponents
     LinguistTools
     Network
     PrintSupport
-    Script
+    Qml
     Svg
+    SvgWidgets
     Widgets
     Xml
 )
 
 set(QtLibraries
-    Qt5::Network
-    Qt5::PrintSupport
-    Qt5::Script
-    Qt5::Svg
-    Qt5::Widgets
-    Qt5::Xml
+    Qt6::Network
+    Qt6::PrintSupport
+    Qt6::Qml
+    Qt6::Svg
+    Qt6::SvgWidgets
+    Qt6::Widgets
+    Qt6::Xml
 )
 
-# Switch on Debug mode with one of below:
+# Switch on Debug mode  on command line with
 # cmake -DCMAKE_BUILD_TYPE=Debug .
+#
+# or uncomment here:
 # set(CMAKE_BUILD_TYPE Debug)
 
 set(CMAKE_AUTOMOC ON)
@@ -34,12 +45,14 @@
 # On Linux DBUS is used for IPC with vym
 # On openSUSE install it using:  zypper install dbus-1-devel
 
-if (UNIX)
+if (CMAKE_SYSTEM_NAME STREQUAL Linux)
     find_package(DBus1)
 
     if(DBus1_FOUND)
+        message(STATUS "Deteced DBUS1 available, adding DBUS interfaces")
+
         LIST(APPEND QtComponents DBus)
-        LIST(APPEND QtLibraries Qt5::DBus)
+        LIST(APPEND QtLibraries Qt6::DBus)
     endif()
 endif()
 
@@ -64,17 +77,15 @@
 
 include(GNUInstallDirs)
 
-find_package(Qt5 COMPONENTS ${QtComponents} REQUIRED)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
+find_package(Qt6 COMPONENTS ${QtComponents} REQUIRED)
+
 list(APPEND CMAKE_AUTOUIC_SEARCH_PATHS "${CMAKE_SOURCE_DIR}/forms")
 
-get_target_property(QtLibraryType Qt5::Widgets TYPE)
+get_target_property(QtLibraryType Qt6::Widgets TYPE)
 
 if(QtLibraryType STREQUAL STATIC_LIBRARY)
     message(STATUS "Static Qt linkage")
-    list(APPEND QtLibraries Qt5::QSvgPlugin)
+    list(APPEND QtLibraries Qt6::QSvgPlugin)
 endif()
 
 include_directories(
@@ -92,8 +103,7 @@
     ADD_COMPILE_DEFINITIONS(_USE_MATH_DEFINES)
 endif()
 
-
-# Add DBUS interfaces, if DBUS is available on platform
+# Add DBUS interfaces to sources, if DBUS is available on platform
 if(DBus1_FOUND)
     list(APPEND VymSources src/dbus/adaptormodel.cpp src/dbus/adaptorvym.cpp)
     include_directories(${CMAKE_SOURCE_DIR}/src/dbus ${CMAKE_SOURCE_DIR}/src)
@@ -102,8 +112,8 @@
 
 # Translations  (release)
 
-    # To update the translation files based on source code changes 
-    # first call manually 
+    # To update the translation files based on source code changes
+    # first call manually
     # lupdate-qt5 src/ -ts lang/*.ts
     #
     # Qt6 will have a dedicated macro:
@@ -120,7 +130,7 @@
 #QT5_create_translation(qm_files ${CMAKE_BINARY_DIR} ${ts_files})
 #QT5_create_translation(qm_files ${CMAKE_SOURCE_DIR}/src)
 
-QT5_add_translation(qm_files ${ts_files})
+QT6_add_translation(qm_files ${ts_files})
 add_compile_definitions(CMAKE_SOURCE_DIR)
 
 message(STATUS "CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}")
@@ -167,8 +177,9 @@
 
 if(UNIX)
     install(FILES icons/vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps)
-    file(CREATE_LINK ../apps/vym.png application-x-vym.png SYMBOLIC)
-    install(FILES ${CMAKE_BINARY_DIR}/application-x-vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/mimetypes)
+    # Disabling PR #109 for now:
+    # file(CREATE_LINK ../apps/vym.png application-x-vym.png SYMBOLIC)
+    # install(FILES ${CMAKE_BINARY_DIR}/application-x-vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/mimetypes)
     install(FILES config/vym.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/mime/packages)
     install(FILES config/vym.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 endif()

=== debian/changelog ===
vym (2.9.582-1) experimental; urgency=medium

  * New development snapshot of vym 3.
    Upstream commit 08be30f81cb9e3d743ca363c42e24a1c5f594077, branch develop.
  * Ensure helper scripts in /usr/share/vym/scripts/ are executable.
  * Remove ruby-interpreter from suggested packages.
  * Add ruby-mail to list of suggested packages.
  * Add build-deps libcups2-dev, libxkbcommon-dev.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 07 Jul 2025 17:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
     qt6-declarative-dev,
     qt6-tools-dev,
     qt6-svg-dev,
-    libdbus-1-dev
+    libdbus-1-dev,
+    libcups2-dev,
+    libxkbcommon-dev
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
@@ -17,7 +19,7 @@
 Package: vym
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
-Suggests: ruby | ruby-interpreter
+Suggests: ruby, ruby-mail
 Description: mindmapping tool
  Vym is a mind mapping program. It is useful to organize thoughts and
  do structure work. In addition to that it has a lot of helpful

## vym 2.9.588

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(ViewYourMind-develop LANGUAGES CXX)
+project(vym LANGUAGES CXX)
 
 # See also https://doc.qt.io/qt-6.5/cmake-get-started.html
 
@@ -137,6 +137,14 @@
 message(STATUS "ts_files: ${ts_files}")
 message(STATUS "qm_files: ${qm_files}")
 
+# Collection of files for later installation
+file(GLOB vymDemos RELATIVE ${CMAKE_SOURCE_DIR} "demos/*.*")
+file(GLOB vymMacros RELATIVE ${CMAKE_SOURCE_DIR} "macros/*.vys")
+file(GLOB vymScripts RELATIVE ${CMAKE_SOURCE_DIR} "demos/scripts/*.*")
+message(STATUS "  vymDemos: ${vymDemos}")
+message(STATUS " vymMacros: ${vymMacros}")
+message(STATUS "vymScripts: ${vymScripts}")
+
 ADD_COMPILE_DEFINITIONS(VYMBASEDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}")
 
 add_executable(vym ${VymSources} vym.qrc ${qm_files})
@@ -151,18 +159,42 @@
 
 if(APPLE)
     message(STATUS "Detected APPLE")
-    set_target_properties(vym PROPERTIES MACOSX_BUNDLE TRUE )
-
-    # Add property to Info.plist
-    set(MACOSX_BUNDLE_ICON_FILE vym.icns)
-
-    # tell CMake where to find and install the file itself
-    set(APP_ICON_MACOSX ${CMAKE_CURRENT_SOURCE_DIR}/icons/vym.icns)
-    set_source_files_properties(${APP_ICON_MACOSX} PROPERTIES
-           MACOSX_PACKAGE_LOCATION "Resources")
-
-#FIXME-0    add_executable(vym MACOSX_BUNDLE main.cpp ${APP_ICON_MACOSX})
-target_sources(vym PUBLIC ${APP_ICON_MACOSX})
+
+    set(MACOSX_BUNDLE_EXECUTABLE_NAME ${PROJECT_NAME})
+
+    # Prepare Info.plist
+    set_target_properties(${PROJECT_NAME} PROPERTIES
+        MACOSX_BUNDLE_BUNDLE_NAME "${PROJECT_NAME}"
+        MACOSX_BUNDLE_BUNDLE_VERSION "${PROJECT_VERSION}"
+        MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}"
+        MACOSX_BUNDLE_GUI_IDENTIFIER "org.insilmaril.vym"
+        MACOSX_BUNDLE_ICON_FILE "vym.icns"
+        MACOSX_BUNDLE TRUE
+    )
+
+    set(vymIconMac ${CMAKE_CURRENT_SOURCE_DIR}/icons/vym.icns)
+    target_sources(vym PRIVATE ${vymIconMac})
+    set_source_files_properties(${vymIconMac} PROPERTIES
+        MACOSX_PACKAGE_LOCATION "Resources")
+
+    target_sources(vym PRIVATE ${vymDemos})
+    set_source_files_properties(${vymDemos} PROPERTIES
+        MACOSX_PACKAGE_LOCATION "Resources/demos"
+    )
+    target_sources(vym PRIVATE ${vymScripts})
+    set_source_files_properties(${vymScripts} PROPERTIES
+        MACOSX_PACKAGE_LOCATION "Resources/demos/scripts"
+    )
+
+    target_sources(vym PRIVATE ${vymMacros})
+    set_source_files_properties(${vymMacros} PROPERTIES
+        MACOSX_PACKAGE_LOCATION "Resources/macros"
+    )
+    #add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+    #    COMMAND codesign -f -s - "${CMAKE_CURRENT_SOURC_DIR}/${PROJECT_NAME}.app"
+    #    COMMENT "Signing the .app bundle"
+    #)
+
 endif()
 
 add_custom_target(make-translations-directory ALL

=== debian/changelog ===
vym (2.9.588-1) unstable; urgency=medium

  * New development snapshot of vym 3.
    Upstream commit 30bb79cb883c15f68953b6a9a5182e8afdcf991d, branch develop.
  * d/control: Drop Rules-Requires-Root: no, it's the default now.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 11 Aug 2025 14:51:58 +0200

## vym 2.9.598

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
 # or uncomment here:
 # set(CMAKE_BUILD_TYPE Debug)
 
+# No longer needed with qt_standard_project_setup() below...
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
@@ -49,7 +50,7 @@
     find_package(DBus1)
 
     if(DBus1_FOUND)
-        message(STATUS "Deteced DBUS1 available, adding DBUS interfaces")
+        message(STATUS "Deteced Linux and DBUS1, adding DBUS interfaces")
 
         LIST(APPEND QtComponents DBus)
         LIST(APPEND QtLibraries Qt6::DBus)
@@ -75,6 +76,11 @@
     set(CMAKE_INSTALL_DATAROOTDIR ".")
  endif()
 
+
+# https://doc.qt.io/qt-6/qt-standard-project-setup.html
+find_package(Qt6 REQUIRED COMPONENTS Core)
+qt_standard_project_setup()
+
 include(GNUInstallDirs)
 
 find_package(Qt6 COMPONENTS ${QtComponents} REQUIRED)

=== debian/changelog ===
vym (2.9.598-1) unstable; urgency=medium

  * New upstream snapshot of vym 3.
    Upstream commit ae5e44061aa844965fb7d185ef387b64d05c8895, branch develop.
  * debian/watch: Update to version 5.
  * Install upstream appdata file to /usr/share/metainfo.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 26 Sep 2025 20:04:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
     libcups2-dev,
     libxkbcommon-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
 Vcs-Git: https://git.sven.stormbind.net/vym.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 	dh_auto_install --destdir=debian/vym/
 	# Remove empty directory
 	rmdir debian/vym/usr/share/doc/vym/devel
+	# Ensure helper scripts are executable
+	chmod +x debian/vym/usr/share/vym/scripts/vivym \
+		 debian/vym/usr/share/vym/scripts/vym-addmail.rb
 
 # prevent compression of pdf documentation
 override_dh_compress:

=== debian/watch ===
Version: 5
Template: Github
Owner: insilmaril
Project: vym

## vym 2.9.604

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(vym LANGUAGES CXX)

# See also https://doc.qt.io/qt-6.5/cmake-get-started.html

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if (CMAKE_SYSTEM_NAME STREQUAL Linux)
    message(STATUS "vym: using UNIX in cmake")	# FIXME-0 still required?
endif()

set(QtComponents
    LinguistTools
    Network
    PrintSupport
    Qml
    Svg
    SvgWidgets
    Widgets
    Xml
)

set(QtLibraries
    Qt6::Network
    Qt6::PrintSupport
    Qt6::Qml
    Qt6::Svg
    Qt6::SvgWidgets
    Qt6::Widgets
    Qt6::Xml
)

# Switch on Debug mode  on command line with
# cmake -DCMAKE_BUILD_TYPE=Debug .
#
# or uncomment here:
# set(CMAKE_BUILD_TYPE Debug)

# Should no longer needed with qt_standard_project_setup() below...
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# On Linux DBUS is used for IPC with vym
# On openSUSE install it using:  zypper install dbus-1-devel

if (CMAKE_SYSTEM_NAME STREQUAL Linux)
    find_package(DBus1)

    if(DBus1_FOUND)
        message(STATUS "vym: Deteced Linux and DBUS1, adding DBUS interfaces")

        LIST(APPEND QtComponents DBus)
        LIST(APPEND QtLibraries Qt6::DBus)
    endif()
endif()

if(WIN32)
    set(OPENSSL_ROOT_DIR "C:/OpenSSL-Win64")
    find_package(OpenSSL)

    if( OPENSSL_FOUND )
        include_directories(${OPENSSL_INCLUDE_DIRS})
        link_directories(${OPENSSL_LIBRARIES})
        message(STATUS "vym: Using OpenSSL version: ${OPENSSL_VERSION}")
    else()
        message(STATUS "vym: No openSSL found?!")
        # Error; with REQUIRED, pkg_search_module() will throw an error by it's own
    endif()

    set(CMAKE_INSTALL_DATAROOTDIR ".")
 endif()


# https://doc.qt.io/qt-6/qt-standard-project-setup.html
find_package(Qt6 REQUIRED COMPONENTS Core)
qt_standard_project_setup( I18N_TRANSLATED_LANGUAGES
    el cs_CZ de en es fr hr_HR ia it ja pt_BR ru sv zh_CN zh_TW
) # FIXME add missing translations

include(GNUInstallDirs)

find_package(Qt6 COMPONENTS ${QtComponents} REQUIRED)

list(APPEND CMAKE_AUTOUIC_SEARCH_PATHS "${CMAKE_SOURCE_DIR}/forms")

get_target_property(QtLibraryType Qt6::Widgets TYPE)

if(QtLibraryType STREQUAL STATIC_LIBRARY)
    message(STATUS "vym: Static Qt linkage")
    list(APPEND QtLibraries Qt6::QSvgPlugin)
endif()

include_directories(
    ${CMAKE_SOURCE_DIR}
)

# Source files
file(GLOB VymSources RELATIVE ${CMAKE_SOURCE_DIR} "src/*.cpp")

if(WIN32)
    list(APPEND VymSources
        src/mkdtemp.cpp
        vym.rc
    )
    ADD_COMPILE_DEFINITIONS(_USE_MATH_DEFINES)
endif()

# Add DBUS interfaces to sources, if DBUS is available on platform
if(DBus1_FOUND)
    list(APPEND VymSources src/dbus/adaptormodel.cpp src/dbus/adaptorvym.cpp)
    include_directories(${CMAKE_SOURCE_DIR}/src/dbus ${CMAKE_SOURCE_DIR}/src)
    ADD_COMPILE_DEFINITIONS(VYM_DBUS)
endif()

# Translations
#
# To update the translation files based on source code changes
# add the targest update_translations and release_translations
#
# See also (for Qt 6):
# https://doc.qt.io/qt-6/qtlinguist-cmake-qt-add-lrelease.html

file(GLOB ts_files RELATIVE ${CMAKE_SOURCE_DIR} "lang/*.ts")
#message(STATUS "vym: Creating ${CMAKE_BINARY_DIR}/translations")

#file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/translations")
set_source_files_properties(${ts_files} PROPERTIES OUTPUT_LOCATION ${CMAKE_BINARY_DIR}/translations)

qt_add_translations(TARGETS vym
    TS_FILE_DIR ${CMAKE_SOURCE_DIR}/lang    # TS_OUTPUT_DIRECTORY in Qt 6.9
    RESOURCE_PREFIX ${CMAKE_BINARY_DIR}/translations
    #QM_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/translations  # Only in Qt 6.9
)

#qt_add_lrelease(target TS_FILES ${ts_files} QM_FILES_OUTPUT_VARIABLE ${CMAKE_BINARY_DIR}/translations) 

add_compile_definitions(CMAKE_SOURCE_DIR)

message(STATUS "vym: CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}")
message(STATUS "vym: ts_files: ${ts_files}")
message(STATUS "vym: qm_files: ${qm_files}")


# On Unix-like systems, place app data under a dedicated subdir
# so runtime looks in .../share/vym for resources.
set(VYM_SHARE_SUBDIR "vym")
ADD_COMPILE_DEFINITIONS(VYMBASEDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/${VYM_SHARE_SUBDIR}")


# FIXME qm_files needed?
#add_executable(vym ${VymSources} vym.qrc ${qm_files})
qt_add_executable(vym MACOSX_BUNDLE ${VymSources} vym.qrc ${qm_files} ) # FIXME Icon missing?
                                                                # FIXME Move add_executable to end?
target_link_libraries(vym PRIVATE ${QtLibraries})

#FIXME shoud translations/ really be in  CMAKE_BINARY_DIR? Or better e.g. in Contents?
#
add_custom_target(make-translations-directory ALL
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/translations)
add_dependencies(vym make-translations-directory)

if(WIN32)
    set_target_properties(vym PROPERTIES WIN32_EXECUTABLE TRUE)
    install(TARGETS vym DESTINATION "${CMAKE_INSTALL_PREFIX}")
else()
    install(TARGETS vym DESTINATION bin)
endif()

if(APPLE)
    message(STATUS "vym: Detected APPLE")

    set(MACOSX_BUNDLE_EXECUTABLE_NAME ${PROJECT_NAME})

    # Prepare Info.plist
    set_target_properties(${PROJECT_NAME} PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "${PROJECT_NAME}"
        MACOSX_BUNDLE_BUNDLE_VERSION "2.9.5xx" #"${PROJECT_VERSION}"   # FIXME Version missing^
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.insilmaril.vym"
        MACOSX_BUNDLE_ICON_FILE "icons/vym.icns"
        MACOSX_BUNDLE TRUE
    )

    # Root paths to be copied to vym.app bundle (adjust if needed)
    set(DIRLIST demos doc exports flags icons macros styles)

    foreach(CURRENT_DIR ${DIRLIST})
        set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/${CURRENT_DIR}")
        set(RESOURCE_DIR "${CMAKE_BINARY_DIR}/vym.app/Contents/Resources/${CURRENT_DIR}")

        # --- 1. Add all subdirectories of SOURCE to the include path ---

        # Get all subdirectories recursively
        file(GLOB_RECURSE SOURCE_SUBDIRS LIST_DIRECTORIES true RELATIVE ${SOURCE_DIR} "${SOURCE_DIR}/*")

        set(INCLUDE_DIRS "")
        foreach(path ${SOURCE_SUBDIRS})
            if(IS_DIRECTORY "${SOURCE_DIR}/${path}")
                list(APPEND INCLUDE_DIRS "${SOURCE_DIR}/${path}")
            endif()
        endforeach()

        # Add SOURCE itself too
        list(APPEND INCLUDE_DIRS "${SOURCE_DIR}")

        # Add them to your target
        target_include_directories(vym PRIVATE ${INCLUDE_DIRS})

        message(STATUS "CURRENT_DIR=${CURRENT_DIR}  includeDirs=${INCLUDE_DIRS}")

        # --- 2. Copy SOURCE_DIR -> RESOURCE_DIR at build time ---

        add_custom_command(
            TARGET vym POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy_directory
                    "${SOURCE_DIR}"
                    "${RESOURCE_DIR}"
            COMMENT "Copying SOURCE directory ${SOURCE_DIR} to RESOURCE directory ${RESOURCE_DIR}..."
        )
    endforeach()

    # Finally copy generated translations to bundle
    add_custom_command(
        TARGET vym POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_directory
                "${CMAKE_BINARY_DIR}/translations"
                "${RESOURCE_DIR}"
        COMMENT "Copying translations directory to RESOURCE directory ${RESOURCE_DIR}..."
    )
endif()

message(STATUS "vym: CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR}")
message(STATUS "vym: CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}")
message(STATUS "vym: CMAKE_INSTALL_DATAROOTDIR=${CMAKE_INSTALL_DATAROOTDIR}")


install(DIRECTORY demos DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${VYM_SHARE_SUBDIR})
install(DIRECTORY doc DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.pdf")
install(FILES doc/vym.1.gz DESTINATION ${CMAKE_INSTALL_MANDIR})
install(FILES README.md LICENSE.txt DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(DIRECTORY exports flags icons macros ${CMAKE_BINARY_DIR}/translations scripts styles DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${VYM_SHARE_SUBDIR})

if(UNIX)
    install(FILES icons/vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps)
    # Disabling PR #109 for now:    # FIXME
    # file(CREATE_LINK ../apps/vym.png application-x-vym.png SYMBOLIC)
    # install(FILES ${CMAKE_BINARY_DIR}/application-x-vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/mimetypes)
    install(FILES config/vym.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/mime/packages)
    install(FILES config/vym.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
endif()

=== debian/changelog ===
vym (2.9.604-1) unstable; urgency=medium

  * New upstream snapshot of vym 3.
    Upstream commit e00fe254a6ff6db1cface0645cbb1769a302bbef, branch develop.
  * Refresh all patches.
  * Update to Standards-Version 4.7.3, remove the Priority field.
  * Remove DATAROOTDIR and DOCDIR overrides, upstream changed accordingly.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 22 Jan 2026 13:07:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: vym
 Section: kde
-Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper-compat (=13),
     cmake,
@@ -10,7 +9,7 @@
     libdbus-1-dev,
     libcups2-dev,
     libxkbcommon-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://www.insilmaril.de/vym/
 Vcs-Git: https://git.sven.stormbind.net/vym.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAKE_INSTALL_DATAROOTDIR="share/vym" \
-		-DCMAKE_INSTALL_MANDIR="share/man/man1" \
-		-DCMAKE_INSTALL_DOCDIR="share/doc/vym"
+		-DCMAKE_INSTALL_MANDIR="share/man/man1"
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/vym/
